Summary:	Firmware for Epson flatbed scanners
Name:		iscan-firmware
Version:	2.1.1
Release:	1%{?dist}
License:	Redistributable, no modification permitted
URL:		http://www.avasys.jp/english/linux_e/index.html
# Perfection 2480/2580 PHOTO
Source0:	http://lx1.avasys.jp/iscan/v1180/iscan-plugin-gt-f500-1.0.0-1.c2.i386.rpm
# Perfection 3170 PHOTO
Source1:	http://lx1.avasys.jp/iscan/v1180/iscan-plugin-gt-9400-1.0.0-1.c2.i386.rpm
# Perfection 3490 PHOTO
Source2:	http://lx1.avasys.jp/iscan/v1180/iscan-plugin-gt-f520-1.0.0-1.c2.i386.rpm
# Perfection 4180 PHOTO
Source3:	http://lx1.avasys.jp/iscan/v1180/iscan-plugin-gt-f600-1.0.0-1.c2.i386.rpm
# Perfection 4490 PHOTO
Source4:	http://linux.avasys.jp/drivers/scanner-plugins/GT-X750/iscan-plugin-gt-x750-2.1.0-5.c2.i386.rpm
# Perfection V10 / V100 PHOTO
Source5:	http://linux.avasys.jp/drivers/scanner-plugins/GT-S600/iscan-plugin-gt-s600-2.1.0-3.c2.i386.rpm
# Perfection V200 PHOTO
Source6:	http://linux.avasys.jp/drivers/scanner-plugins/GT-F670/iscan-plugin-gt-f670-2.1.0-3.c2.i386.rpm
# Perfection V350 PHOTO
Source7:	http://linux.avasys.jp/drivers/scanner-plugins/GT-F700/iscan-plugin-gt-f700-2.1.0-3.c2.i386.rpm
# GT-1500
Source8:	http://linux.avasys.jp/drivers/scanner-plugins/GT-1500/iscan-plugin-gt-1500-2.1.1-2.c2.i386.rpm
# Perfection V30 / V300
Source9:	http://linux.avasys.jp/drivers/scanner-plugins/GT-F720/esci-interpreter-gt-f720-0.0.1-2.i386.rpm
# Perfection V500 PHOTO
Source10:	http://linux.avasys.jp/drivers/scanner-plugins/GT-X770/iscan-plugin-gt-x770-2.1.1-2.c2.i386.rpm
Group:		System Environment/Base
BuildArch:	noarch
Requires:	udev
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Firmware for the following Epson flatbed scanners:

* GT-1500 / GT-D1000
* Perfection 2480/2580 PHOTO / GT-F500
* Perfection 3170 PHOTO / GT-9400
* Perfection 3490 PHOTO / GT-F520
* Perfection 4180 PHOTO / GT-F600
* Perfection 4490 PHOTO / GT-X750
* Perfection V10/V100 PHOTO / GT-S600
* Perfection V200 PHOTO / GT-F670
* Perfection V30/V300 / GT-F720 / GT-S620
* Perfection V350 PHOTO / GT-F700
* Perfection V500 PHOTO / GT-X770

%prep
%setup -c -T
for f in \
 %{SOURCE0}  %{SOURCE1}  %{SOURCE2}  %{SOURCE3}  %{SOURCE4}  %{SOURCE5} \
 %{SOURCE6}  %{SOURCE7}  %{SOURCE8}  %{SOURCE9}  %{SOURCE10} ;
do
 rpm2cpio $f | cpio --extract --make-directories --no-absolute-filenames --preserve-modification-time --quiet
done

cp -p usr/share/doc/iscan-plugin-gt-1500-*/AVASYSPL.*.txt ./
cp -p usr/share/doc/iscan-plugin-gt-f520-*/{EAPL,LICENSE.EPSON}.en.txt ./
for file in EAPL.ja.txt LICENSE.EPSON.ja.txt ; do
  iconv -f euc-jp -t utf8 usr/share/doc/iscan-plugin-gt-f520-*/$file > ./$file && \
  touch -r usr/share/doc/iscan-plugin-gt-f520-*/$file ./$file
done

%build
echo Nothing to build

%install
rm -rf %{buildroot}
install -dm755 %{buildroot}/lib/firmware/epson
install -pm644 .%{_datadir}/{iscan,esci}/esfw*.bin %{buildroot}/lib/firmware/epson

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AVASYSPL.en.txt EAPL.en.txt LICENSE.EPSON.en.txt
%lang(ja) %doc AVASYSPL.ja.txt EAPL.ja.txt LICENSE.EPSON.ja.txt
/lib/firmware/epson

%changelog
* Tue Aug 25 2009 Dominik Mierzejewski <rpm@greysector.net> 2.1.1-1
- updated firmwares for: 4490, GT-1500, V10/V100, V200, V30/V300, V350, V500

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 03 2009 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-3
- set version to that of the latest firmware package
- updated source url for Perfection V200 firmware
- added disttag

* Sun Mar 01 2009 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-2
- changed licence tag
- added requires udev for /lib/firmware dir ownership
- added missing licence texts

* Tue Feb 03 2009 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-1
- initial build
